<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta name="author" content="CERN LineMode Crew 2013" />
<meta name="description" content="All about remaking the line mode browser." />
<meta name="viewport" content="width=device-width, minimum-scale=1.0" />
<meta name="google-site-verification" content="t9hdOffCeIji-gtq54eOlTnBeUaKjgTqnF7nE-rty1I" />

<title>Line Mode Browser 2013</title>

<link href="./css/gridset.css" rel="stylesheet" />
<link href="./css/main.css" rel="stylesheet" />


<link href='http://fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700|PT+Serif:400,700,400italic|PT+Sans+Caption:400,700' rel='stylesheet' type='text/css'>

</head>
<body style="background-color: #f7f7f7">
	
	<div class="headfill" style="background-image: url(img/lmb-terminal.jpg);"></div>

	<div class="wrapper">
			
		<div id="content" class="clearfix">
		
			<section class="d-all">

				<h1>Line Mode Browser 2013</h1>
				<h2>Revisiting the first universally accessible web browser</h2>
				<nav>
					<ul>
						<li class="lmb lmblaunch"><a href="/www/hypertext/WWW/TheProject.html">Launch Line Mode Browser</a></li>
						<li class="selected"><a href="./">Home</a></li>
						<li><a href="interviews/">Interviews</a></li>
						<li><a href="makingof/">Making of</a></li>
						<li><a href="resources/">Resources</a></li>
					</ul>
				</nav>
				<article>
					<div class="d1">
						<p class="standfirst">The line-mode browser, launched in 1992, was the first readily accessible<sup>1</sup> browser for what we now know as the world wide web. It was <em>not</em>, however, the world’s first web browser. The very first web browser was called <a href="http://en.wikipedia.org/wiki/WorldWideWeb">WorldWideWeb</a><sup>2</sup> and was created by Tim Berners-Lee in 1990.</p>
					</div>
					<div class="d2">
						<p>But WorldWideWeb only worked on the NeXT operating system. WorldWideWeb was a great piece of software, but it was important that the web should be accessible to many kinds of computers, not just NeXT machines.</p>
					</div>
					
					<div class="d-all">
					<p>That’s where the line-mode browser came in. It was the first web browser with a cross-platform codebase so it could be installed on many different kinds of computers. It was a relatively simple piece of software with a very basic interface, but in the early days of the web, it was instrumental in demonstrating the power of this new medium.</p>
					</div>
				</article>

				<article class="d-all">
					<h3>You’ve come a long way, browser</h3>
					<p>Web browsers today are quite powerful. They can run on all sorts of devices and display all kinds of content from plain text to images and video—you can even play games in modern web browsers.</p>
					<p>It wasn’t always this way. The line-mode browser could only display text. You couldn’t even use a mouse to click on links—you had to type in everything using a keyboard …even if you just wanted to follow a link!</p>
					<p>It sounds like a clunky experience (it was!) but wouldn’t you like to get a feeling of what it was like to browse the web back then? Well, thanks to the power of modern web browsers, you can.</p>
					
					<a href="/www/hypertext/WWW/TheProject.html"><img src="img/lmb-2013.jpg" style="border: none;" /></a>
				
					<p class="lmblaunch"><a href="/www/hypertext/WWW/TheProject.html">Launch the line-mode browser simulator!</a></p>
				</article>

				<article class="d-all">
					<h3>An unbroken line</h3>
					<p>A good place to start your line-mode browsing is with <a href="http://info.cern.ch/hypertext/WWW/TheProject.html">the first web page ever published</a>. Using the line-mode browser simulator, you can see how this page would have looked over twenty years ago.</p>
					<p>What’s amazing is that the first web page still works in a modern browser. You’ll also find that many modern web pages will work in the line-mode browser. They won’t look the same, and you won’t see any images, but they’re still readable.</p>
					<p>That’s because <abbr title="Hypertext Markup Language">HTML</abbr>  is backwards-compatible by design. The vocabulary has grown in scope since Tim Berners-Lee first introduced <a href="http://www.w3.org/History/19921103-hypertext/hypertext/WWW/MarkUp/Tags.html">just a handful of tags</a> but new browsers still understand all the old tags, and the line-mode browser simply ignores any tags it doesn’t recognise.</p>
				</article>

				<article class="d-all">
					<h3>Permission granted</h3>
					<p>Thanks in part to the forgiving nature of HTML, the world wide web has become a huge success. The web has changed a lot in two decades but one fundamental principle has remained constant: you don’t need to ask anyone’s permission to publish a web page.</p>
					<p>Inspired by the culture of collaboration and sharing at <abbr title="European Organization for Nuclear Research">CERN</abbr>, <a href="http://cds.cern.ch/record/1164399">Tim Berners-Lee and Robert Cailliau released their project into the public domain in 1993</a>. That means nobody owns the world wide web. Or, to put in another way, the web belongs to all of us.</p>
				</article>

				<div class="footnotes d-all">
					<h3>Footnotes</h3>
					<ol>
						<li>Most computers were not very powerful in 1991, certainly not as powerful as the NeXT machine on which Tim Berners-Lee built the first browser. While that version was great for demos it wasn't great for spreading use. The line-mode browser changed that, allowing almost anyone with a terminal — no matter how dumb — to access and browse websites.</li>
						<li>Yep — the software really was called WorldWideWeb. The name was decided on a whim over lunch at CERN in the early summer in 1989. Tim Berners-Lee and Robert Cailliau had to submit a proposal for funding for their still unnamed project. Tim suggested, "Why don't we call it World Wide Web?" and Robert said, "Sure, why not." They both figured they could change it later if they needed to. </li>
					</ol>
				</div>
			</section>
		</div>
		
		<footer>
			<p>For press enquiries, please contact the CERN press office at <a href="mailto:press@cern.ch">press@cern.ch</a></p>
			<hr />
			<p><a href="http://cern.ch/copyright">© Copyright CERN 2013</a></p>
		
		</footer>
	
	</div>
        
        <!-- Piwik -->
        <script type="text/javascript">
            var _paq = _paq || [];
            _paq.push(["trackPageView"]);
            _paq.push(["enableLinkTracking"]);

            (function() {
                var u=(("https:" == document.location.protocol) ? "https" : "http") + "://piwik.web.cern.ch/";
                _paq.push(["setTrackerUrl", u+"piwik.php"]);
                _paq.push(["setSiteId", "192"]);
                var d=document, g=d.createElement("script"), s=d.getElementsByTagName("script")[0]; g.type="text/javascript";
                g.defer=true; g.async=true; g.src=u+"piwik.js"; s.parentNode.insertBefore(g,s);
            })();
        </script>
        <!-- End Piwik Code -->

        <!-- Piwik Image Tracker -->
        <img src="https://piwik.web.cern.ch/piwik.php?idsite=192&amp;rec=1" style="border:0:width:0; display:none;" alt="" />
        <!-- End Piwik -->
</body>
</html>
